# eth\_getBlockTransactionCountByHash

Returns the number of transactions in a block from a block matching the given block hash.

This method will use `20` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## Reference: [Here](https://ethereum.org/en/developers/docs/apis/json-rpc/#eth_getblocktransactioncountbyhash)

## **Parameters**

`DATA`, 32 Bytes - hash of a block

```bash
params: ["0xf6e5d0e39d2c922c6772abba968eec0dbf2d82d7d26ec2342fb11fb7c5118548"]
```

## **Returns**

`QUANTITY` - integer of the number of transactions in this block.

```bash
// Result
{
  "id":1,
  "jsonrpc": "2.0",
  "result": "0xb" // 11
}
```

{% tabs %}
{% tab title="mainnet" %}

```bash
curl https://mainnet.conflux.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByHash","params":["0xf6e5d0e39d2c922c6772abba968eec0dbf2d82d7d26ec2342fb11fb7c5118548"],"id":1}'

```

{% endtab %}

{% tab title="testnet" %}

```bash
curl https://testnet.conflux.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"eth_getBlockTransactionCountByHash","params":["0xb4e54eb9c573ebd122be4aa4625082c414d16355bab67647dd9668c9389fb527"],"id":1}'

```

{% endtab %}
{% endtabs %}
